Subject: Re: bug#58641: 29.0.50; cc-fonts signals void variable: font-lock-reference-face
From: Alan Mackenzie <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 25 Oct 2022 13:43:21 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, Stefan.

On Tue, Oct 25, 2022 at 08:51:39 -0400, Stefan Monnier wrote:
> Hi Alan,

> >> If I start

> >>     % emacs -Q --eval '(make-face `font-lock-reference-face)' -l cc-fonts

> >> I get the error:

> >>     defconst: Symbol’s value as variable is void: font-lock-reference-face

> >> Something like the patch below seems in order.

> > GRRRR!  Yes, it is in order.  A small point, perhaps, but we aim for
> > perfection in CC Mode.  ;-)

> For the record, I bumped into the above because apparently one of the
> many packages I have installed defines `font-lock-reference-face`
> (probably some very old code that should be removed as well, but
> I haven't tracked it down yet).

Ah, so that was it.

I've just committed a patch, and I'm closing the bug with this post.

I didn't actually comment your comment about font-lock-constant-face, I
amended the code instead.

>         Stefan

-- 
Alan Mackenzie (Nuremberg, Germany).